Skip to main content
PUT
/
social-accounts
/
{account}
/
toggle
curl -X PUT https://app.trypost.it/api/social-accounts/b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e/toggle \
  -H "Authorization: Bearer tp_your_api_key"
{
  "data": {
    "id": "b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e",
    "platform": "linkedin",
    "display_name": "John Doe",
    "username": "johndoe",
    "is_active": false,
    "status": "connected"
  }
}

Request

account
string
required
The social account ID.

Response

Returns the updated social account with its new active state.
curl -X PUT https://app.trypost.it/api/social-accounts/b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e/toggle \
  -H "Authorization: Bearer tp_your_api_key"
{
  "data": {
    "id": "b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e",
    "platform": "linkedin",
    "display_name": "John Doe",
    "username": "johndoe",
    "is_active": false,
    "status": "connected"
  }
}